# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-09-28 12:00
from __future__ import unicode_literals

from django.db import migrations, models
import django_extensions.db.fields
import evotecore.utils
import evoteusers.managers
import phonenumber_field.modelfields
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True, verbose_name='email address')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
                ('is_staff', models.BooleanField(default=False, verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, verbose_name='active')),
                ('photo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='photo')),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, verbose_name='primary phone number')),
                ('notice_method', models.PositiveSmallIntegerField(choices=[(0, 'SMS'), (1, 'Email')], default=1, verbose_name='notice method')),
                ('notice_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Phone number user to send notifications. If not defined, primary phone used instead', max_length=128, verbose_name='notice phone number')),
                ('notice_email', models.EmailField(blank=True, help_text='Email used to send notifications. If not defined, primary email used instead', max_length=254, verbose_name='notice email')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', evoteusers.managers.UserManager()),
            ],
        ),
    ]
