from __future__ import unicode_literals

from django import forms

from evoteusers.forms import EvoteAuthenticationForm


class AdminAuthenticationForm(EvoteAuthenticationForm):
    """Admin user must have is_staff=True"""

    def confirm_login_allowed(self, user, cleaned_data=None):
        super(AdminAuthenticationForm, self).confirm_login_allowed(user)
        if not user.is_staff:
            raise forms.ValidationError(
                self.error_messages['invalid_login'],
                code='invalid_login',
            )
