from __future__ import unicode_literals

from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator
from django.views.generic import TemplateView

from evoteusers.views import EvoteLoginView

from .forms import AdminAuthenticationForm


class LoginView(EvoteLoginView):
    """Provides user the ability to login"""
    form_class = AdminAuthenticationForm
    template_name = "evoteadmin/login.html"


@method_decorator(login_required, name="dispatch")
class HomepageView(TemplateView):
    template_name = "evoteadmin/index.html"
