from modeltranslation.admin import TabbedTranslationAdmin
from django.contrib import admin

from evotevotings.voters.models import ElectionVoter

from .models import Election, Candidate, Category


class CategoryInline(admin.TabularInline):
    model = Category


class CandidateInline(admin.TabularInline):
    model = Candidate


class ElectionVoterInline(admin.TabularInline):
    model = ElectionVoter


class ElectionAdmin(TabbedTranslationAdmin):
    inlines = [
        CategoryInline,
        CandidateInline,
        ElectionVoterInline
    ]


admin.site.register(Election, ElectionAdmin)
