# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-24 15:21
from __future__ import unicode_literals

import autoslug.fields
from autoslug.utils import slugify
from django.db import migrations


def populate_slugs(apps, schema_editor):
    Election = apps.get_model('evoteelections.Election')
    for election in Election.objects.all():
        election.slug = slugify(election.identifier + str(election.pk))
        election.save()


class Migration(migrations.Migration):

    dependencies = [
        ('evoteelections', '0005_election_certificate'),
    ]

    operations = [
        migrations.AddField(
            model_name='election',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='identifier'),
            preserve_default=False,
        ),
        migrations.RunPython(populate_slugs,
                             reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='election',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='identifier', unique=True),
            preserve_default=False,
        ),
    ]
