/* globals jQuery, django */

/******************************************************************
 * Site Name: eVote
 * Author: Tiago Brito
 *
 * JavaScript: Validate email with DTSI
 *****************************************************************/

"use strict";

(function($) {

    $.fn.VerifyEmailWithDTSI = function(options) {

        var opts = $.extend({}, options);

        return this.each(function()
        {
            var $btn = $(this);
            var $form = $btn.closest('form');

            $btn.on("click", function() {
                var target_id = "#" + $btn.attr('data-email-verify');
                var ajax_url = $btn.attr('data-ajax-url')
                var email = $(target_id).val()

                $.ajax({
                    type: "GET",
                    url: ajax_url,
                    data: {
                        'email': email
                    }
                }).done(function(data) {
                    var $email_div = $form.find('#field_id_email');
                    if (data['error']) {
                        $email_div.addClass('error');
                        $email_div.find('.errorlist').remove();
                        $email_div.append("<ul class='errorlist'><li>" + data['error'] + "</li></ul>");
                    } else {
                        $.each(data, function(elem){
                            $form.find("input[name='" + elem + "']").val(data[elem]);
                        });
                        $.each(data['enable'], function(elem){
                            $form.find("[name='" + data['enable'][elem] + "']").prop("readonly", false);
                            $form.find("[name='" + data['enable'][elem] + "']").prop("disabled", false);
                        });
                        $email_div.removeClass('error');
                        $email_div.find('.errorlist').hide();
                        $email_div.find('input').prop("readonly", true);
                        $btn.hide();
                        $form.find("button[type='submit']").prop("disabled", false);
                    }
                });
            });
        });
    };


    $(document).ready(function () {
        $("[data-email-verify]").VerifyEmailWithDTSI();
    });

})(jQuery);
