from django.core.urlresolvers import reverse_lazy
from django.test import TestCase, override_settings

from evotevotings.processes.tests.utils import ProcessesTestUtils
from evotevotings.management.forms import ManagementAuthenticationForm


@override_settings(
    ROOT_URLCONF='evote.urls.management',
    LOGIN_REDIRECT_URL=reverse_lazy("management:electoralprocess-list"),
    LOGIN_URL=reverse_lazy("management:login"),
    JAVASCRIPT_SETTINGS_SCAN_MODULES={}
)
class ManagementTestCase(ProcessesTestUtils, TestCase):

    def login_as_member(self):
        credentials = {
            "email": "dev@eurotux.com",
            "password": "password"
        }
        self.create_electoral_member(**credentials)
        self.client.login(**credentials)
        session = self.client.session
        session['user_profile'] = \
            ManagementAuthenticationForm.Profiles.ELECTORAL_MEMBER
        session.save()
        return credentials

    def login_as_institutional(self):
        credentials = {
            "email": "dev_inst@eurotux.com",
            "password": "password"
        }
        self.create_institutional_member(**credentials)
        self.client.login(**credentials)
        session = self.client.session
        session['user_profile'] = \
            ManagementAuthenticationForm.Profiles.INSTITUTIONAL_RESPONSIBLE
        session.save()
        return credentials
