# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-09-28 12:00
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import evotecore.utils
import phonenumber_field.modelfields
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('evotedocs', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(max_length=128, verbose_name='action')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'abstract': False,
                'get_latest_by': 'modified',
            },
        ),
        migrations.CreateModel(
            name='ElectoralAction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('strength', models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Simple'), (1, 'Strong'), (2, 'Critical')], verbose_name='strength')),
                ('action', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='evoteprocesses.Action', verbose_name='action')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'abstract': False,
                'get_latest_by': 'modified',
            },
        ),
        migrations.CreateModel(
            name='ElectoralDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(max_length=128, verbose_name='designation')),
                ('documents', models.ManyToManyField(blank=True, to='evotedocs.Document', verbose_name='documents')),
            ],
            options={
                'verbose_name': 'Electoral document',
                'verbose_name_plural': 'Electoral documents',
            },
        ),
        migrations.CreateModel(
            name='ElectoralMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(max_length=128, verbose_name='designation')),
                ('role', models.PositiveSmallIntegerField(choices=[(0, 'Chairman'), (1, 'Other')], verbose_name='role')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, verbose_name='contact phone number')),
                ('private_key_file', models.BinaryField(blank=True, verbose_name='key')),
            ],
            options={
                'verbose_name': 'electoral member',
                'verbose_name_plural': 'electoral members',
            },
        ),
        migrations.CreateModel(
            name='ElectoralProcess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('logo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='logo')),
                ('identifier', models.CharField(help_text='Insert the electoral process designation', max_length=128, verbose_name='electoral process identifier')),
                ('description', models.CharField(help_text='brief description text about electoral process', max_length=512, verbose_name='electoral process description')),
                ('state', models.PositiveSmallIntegerField(choices=[(0, 'Validated'), (1, 'Pending'), (2, 'Extinguished'), (3, 'Closed')], default=1, verbose_name='state')),
                ('publication_date', models.DateTimeField(blank=True, verbose_name='publication date')),
                ('actions', models.ManyToManyField(blank=True, through='evoteprocesses.ElectoralAction', to='evoteprocesses.Action', verbose_name='actions')),
            ],
            options={
                'verbose_name': 'electoral process',
                'verbose_name_plural': 'electoral processes',
            },
        ),
        migrations.AddField(
            model_name='electoralmember',
            name='electoral_process',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='electoral_members', to='evoteprocesses.ElectoralProcess', verbose_name='electoral process'),
        ),
        migrations.AddField(
            model_name='electoralmember',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='electoral_member', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='electoraldocument',
            name='electoral_process',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='electoral_documents', to='evoteprocesses.ElectoralProcess', verbose_name='electoral process'),
        ),
        migrations.AddField(
            model_name='electoralaction',
            name='electoral_process',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='evoteprocesses.ElectoralProcess', verbose_name='electoral process'),
        ),
    ]
