from __future__ import unicode_literals

from django.conf.urls import url
from django.core.urlresolvers import reverse
from evotevotings.services.views import schema_view
from evotevotings.services.validator.views_api import ValidateVoteView
from evotevotings.services.filter.views_api import FilterSignatureView


urlpatterns = [
    url(
        regex=r'^$',
        view=schema_view
    ),
    url(
        regex=r'validator',
        view=ValidateVoteView.as_view(),
        name='validatevote'
    ),
    url(
        regex=r'filter',
        view=FilterSignatureView.as_view(),
        name='filtersignature'
    ),
]


# Set variables to be passed into javascript
def javascript_settings():
    return {
        'endpoints': {
            # Validate Vote endpoint
            'validateVote': reverse('services:validatevote'),
            'filterSignature': reverse('services:filtersignature'),
        },
    }
