from evotevotings.elections.tests.utils import ElectionsTestUtils
from eVotUM.Cripto import eccblind


class ValidatorServiceTestUtils(object):

    def generate_signature(self, **field_values):
        """ Expects a dict with user_id and election_id """
        dummy_election = ElectionsTestUtils.create_election()
        return dummy_election

    def get_blind_signature(self, vs_private_key, pvtkey_password,
                            signed_combo_id, dash_components,
                            init_components):
        """ Function to blind data and generate signature """
        signature = None

        errorCode, blind_data = eccblind.blindData(
                                                dash_components,
                                                bytes(signed_combo_id)
                                                )

        if(errorCode is None):
                errorCode, signature = eccblind.generateBlindSignature(
                                                            vs_private_key,
                                                            pvtkey_password,
                                                            blind_data[2],
                                                            init_components
                                                            )

        return (errorCode, signature)
