from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator

from django.shortcuts import get_object_or_404
from django.views.generic.base import TemplateView

from evotevotings.elections.models import Election
from .utils import get_references


@method_decorator(login_required, name="dispatch")
class VoteReferencesAjaxView(TemplateView):
    """ """
    template_name = 'voters/includes/vote_reference_list.html'

    def get_context_data(self, **kwargs):

        page = self.request.GET.get('page', 2)
        page_size = self.request.GET.get('page_size', 10)
        election_id = self.kwargs.get('pk_election')
        electoral_process_id = self.kwargs.get('pk')

        context = super(VoteReferencesAjaxView, self).\
            get_context_data(**kwargs)

        context.update({
            'page': page,
            'next_page': int(page) + 1,
            'page_size': int(page_size),
            'electoral_process_id': electoral_process_id,
            'election_id': election_id,
            'references': get_references(page, page_size)
        })
        return context

    def get(self, request, *args, **kwargs):

        election_id = self.kwargs.get('pk_election')
        electoral_process_id = self.kwargs.get('pk')

        get_object_or_404(
            Election, pk=election_id,
            electoral_process_id=electoral_process_id)

        context = self.get_context_data(**kwargs)
        return self.render_to_response(context)
