

from django.test import TestCase
from django.utils import timezone

from evotevotings.processes.models import ElectoralProcess
from evotevotings.elections.models import Election
from evotevotings.voters.filters import YearFilter, VotingEndYearFilter
from evotevotings.processes.tests.utils import ProcessesTestUtils
from evotevotings.elections.tests.utils import ElectionsTestUtils


class VotersFiltersTest(TestCase, ProcessesTestUtils):

    def test_yearfilter(self):
        """
        Test if year filter is done
        """
        self.create_electoral_process()
        qs = ElectoralProcess.objects.all()
        now = timezone.now()
        expected = qs.filter(publication_date__year=now.year)
        content = YearFilter(qs).filter(qs, now.year)
        self.assertEqual(content.count(), expected.count())


class VotingEndYearTest(TestCase, ElectionsTestUtils):

    def test_voting_end_year_filter(self):
        """
        Test if year filter is done
        """
        self.create_election()
        qs = Election.objects.all()
        now = timezone.now()
        expected = qs.filter(voting_end_date__year=now.year)
        content = VotingEndYearFilter(qs).filter(qs, now.year)
        self.assertEqual(content.count(), expected.count())
