#!/bin/bash

MYSQL_HOST='127.0.0.1'
MYSQL_DATABASE='evote'
MYSQL_USER='root'
MYSQL_PASSWORD='123456'
SECRET_KEY=`tr -dc "A-Za-z0-9_%@?#«»|{}[]()_-~*<>" < /dev/urandom  | head -c 128`

SN_ADMIN='evote-admin.dev.eurotux.com'
SN_MANAGE='evote-manage.dev.eurotux.com'
SN_EVOTE='evote.dev.eurotux.com'


usage="$(basename "$0") -- eVote instalation script

Usage: $(basename "$0") [options]

Options:
    --help      show this help text
    --db-host   insert database hostname (default: localhost)
    --db-name   insert database name
    --db-user   insert database user name 
    --db-pass   insert database user password
    --sn-admin  insert server name for admin site
    --sn-manage insert server name for manage site
    --sn-evote  insert server name for evote site
    "


while [ "$1" != "" ]; do
    case $1 in
        --help    ) shift
                    echo "$usage"
                    exit 1;
                    ;;
        --db-host ) shift
                    MYSQL_HOST=$1
                    ;;
        --db-name ) shift
                    MYSQL_DATABASE=$1
                    ;;
        --db-user ) shift
                    MYSQL_USER=$1
                    ;;
        --db-pass ) shift
                    MYSQL_PASSWORD=$1
                    ;;
        --sn-admin ) shift
                    SN_ADMIN=$1
                    ;;
        --sn-manage ) shift
                    SN_MANAGE=$1
                    ;;
        --sn-evote ) shift
                    SN_EVOTE=$1
                    ;;
        * )         echo "Option not found. Try './install.sh --help' for more information."
                    exit 1
    esac
    shift
done

# Database check
if ! mysql -u $MYSQL_USER --password=$MYSQL_PASSWORD -h $MYSQL_HOST -e "use $MYSQL_DATABASE"; then
    if ! mysql -u $MYSQL_USER --password=$MYSQL_PASSWORD -h $MYSQL_HOST -e "create database $MYSQL_DATABASE"; then
        echo "No database found and no permissions to create new database"
        exit 1
    fi
fi

sed -i "s/MYSQL_HOST=.*/MYSQL_HOST='$MYSQL_HOST'/;" /srv/et/evote/config.env
sed -i "s/MYSQL_DATABASE=.*/MYSQL_DATABASE='$MYSQL_DATABASE'/;" /srv/et/evote/config.env
sed -i "s/MYSQL_USER=.*/MYSQL_USER='$MYSQL_USER'/;" /srv/et/evote/config.env
sed -i "s/MYSQL_PASSWORD=.*/MYSQL_PASSWORD='$MYSQL_PASSWORD'/;" /srv/et/evote/config.env
sed -i "s/SECRET_KEY=.*/SECRET_KEY='$SECRET_KEY'/;" /srv/et/evote/config.env

sed -i "s/server_name .*/server_name $SN_ADMIN;/;" /srv/et/evote/scripts/evote-admin.conf
sed -i "s/server_name .*/server_name $SN_MANAGE;/;" /srv/et/evote/scripts/evote-manage.conf
sed -i "s/server_name .*/server_name $SN_EVOTE;/;" /srv/et/evote/scripts/evote.conf

systemctl restart nginx.service
supervisorctl update
supervisorctl restart evote:

cd /srv/et/evote/evote
source /srv/et/evote/config.env
/srv/et/evote/env/bin/python manage.py collectstatic --no-input --settings=$DJANGO_SETTINGS_MODULE
/srv/et/evote/env/bin/python manage.py compilemessages --settings=$DJANGO_SETTINGS_MODULE
/srv/et/evote/env/bin/python manage.py compress --settings=$DJANGO_SETTINGS_MODULE
/srv/et/evote/env/bin/python manage.py migrate --no-input --settings=$DJANGO_SETTINGS_MODULE
